# Documentation

This directory contains Sharetribe documentation.

## Advanced configuration

Guides about advanced configurations.

#### [Using Amazon Simple Email Service with Simple Notification Service](./using-amazon-ses-with-sns.md)

This guide helps you to configure Amazon Simple Email Service to send emails and Simple Notification Service to receive bounce and spam notifications.

#### [Landing page](./landing-page.md)

This guide helps you to enable the landing page feature.

#### [Landing page JSON structure](./landing-page-structure.md)

This document describes the landing page structure JSON format.


## Coding guidelines

Coding guidelines followed in this project.

#### [Supported browsers](./supported-browsers.md)

List of supported browsers.

#### [UI testing guidelines](./ui-testing.md)

Guidelines for writing new UI tests.

#### [SCSS coding guidelines](./scss-coding-guidelines.md)

Documentation of SCSS coding guidelines and directory structure.


## Technical documentation

Technical documentation of different components.

#### [Delayed Job Priorities](./delayed-job-priorities.md)

List of commonly used Delayed Job priorities.

#### [Feature flags](./feature-flags.md)

How to use feature flags in the code and how to enable/disable them.

#### [Client-side routes](./js-routes.md)

Documentation of how to use Rails routes in JavaScript code.

#### [Client-side translations](./js-translations.md)

Documentation of how to use translation in JavaScript code.

#### [Method deprecator](./method-deprecator.md)

How to deprecate old methods in the code.

#### [Testing](./testing.md)

This guide contains information how to run tests.

#### [Testing without Rails](./testing-without-rails.md)

This guide shows how to write fast RSpec tests without requiring Rails environment

## Process documentation

Documentation of the development process.

#### [How to handle Github issues](./how-to-handle-github-issues.md)

Documentation of the Github issue handling process followed by this project.

#### [Semantic versioning](./semantic-versioning.md)

Documentation of how Sharetribe applies Semantic versioning.
